%define major	3
%define libname	%mklibname shout-idjc %{major}
%define devname	%mklibname shout-idjc -d

Name:		libshout-idjc
Version:	2.4.3
Release:	%mkrel 3
Summary:	Libshout with extensions for IDJC
Group:          System/Libraries
License:        LGPL-2.1+
URL:            https://sourceforge.net/projects/libshoutidjc.idjc.p/
Source0:	https://downloads.sf.net/libshoutidjc.idjc.p/libshout-idjc-%{version}.tar.gz
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(openssl)

%description
This is a modified version of libshout, with extensions for IDJC.

%package -n %{libname}
Summary:	Libshout with extensions for IDJC
Group:		System/Libraries

%description -n %{libname}
This is a modified version of libshout, with extensions for IDJC.

%package -n %{devname}
Summary:	Development files for libshout with extensions for IDJC
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	shout-idjc-devel = %{version}-%{release}

%description -n %{devname}
Libshout-idjc is a modified version of libshout, with extensions for IDJC.
This package contains the development files for the library.

%prep
%setup -q

%build
autoreconf -vfi
%configure --disable-static
%make_build

%install
%make_install

rm -rf %{buildroot}%{_datadir}/doc/libshout-idjc/COPYING

# we don't have ckport tool ATM
rm -rf %{buildroot}%{_libdir}/ckport/

%files -n %{libname}
%license COPYING
%docdir %{_datadir}/doc/libshout-idjc
%doc %{_datadir}/doc/libshout-idjc/
%{_libdir}/libshout-idjc.so.%{major}{,.*}

%files -n %{devname}
%docdir %{_datadir}/doc/libshout-idjc
%doc %{_datadir}/doc/libshout-idjc/
%{_includedir}/shoutidjc
%{_libdir}/libshout-idjc.so
%{_libdir}/pkgconfig/shout-idjc.pc


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 2.4.3-3.mga9
+ Revision: 1839579
- Mageia 9 Mass Rebuild

* Fri Dec 31 2021 wally <wally> 2.4.3-2.mga9
+ Revision: 1765555
- add more provides to devel pkg

* Wed Dec 29 2021 wally <wally> 2.4.3-1.mga9
+ Revision: 1765225
- new version 2.4.3

* Sat Oct 02 2021 wally <wally> 2.4.1-5.mga9
+ Revision: 1747926
- rebuild for openssl 3.0.0

* Fri Dec 04 2020 luigiwalser <luigiwalser> 2.4.1-4.mga8
+ Revision: 1652672
- rediff upstream patch to fix build with openssl 1.1
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 2.4.1-3.mga8
+ Revision: 1514439
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.4.1-2.mga7
+ Revision: 1299144
- Mageia 7 Mass Rebuild

* Thu Mar 09 2017 akien <akien> 2.4.1-1.mga6
+ Revision: 1090871
- Version 2.4.1

* Thu Feb 11 2016 umeabot <umeabot> 2.3.1-2.mga6
+ Revision: 955796
- Mageia 6 Mass Rebuild

* Fri Nov 14 2014 cjw <cjw> 2.3.1-1.mga5
+ Revision: 797061
- imported package libshout-idjc


* Mon Oct 27 2014 David Vasquez <davidjeremias82 at gmail dot com> - 2.3.1-1
- Initial build
